libzypp 17.37.10

zyppng::worker Namespace Reference

## Classes
struct | AttachedMedia
struct | AttachError
struct | AuthInfo
struct | Device
class | DeviceDriver
class | MountingWorker
class | ProvideWorker
class | ProvideWorkerItem
class | RequestCancelException

## Typedefs
using | AttachResult = expected<zypp::Pathname, AttachError>
using | WorkerCaps = zyppng::WorkerCaps
using | Message = zyppng::ProvideMessage
using | Configuration = zyppng::ProviderConfiguration

## Functions
| ZYPP_FWD_DECL_TYPE_WITH_REFS (DeviceDriver)
| ZYPP_FWD_DECL_TYPE_WITH_REFS (ProvideWorker)
| ZYPP_FWD_DECL_TYPE_WITH_REFS (ProvideWorkerItem)

## Typedef Documentation

## ◆ AttachResult

using zyppng::worker::AttachResult = expected<zypp::Pathname, AttachError>

Definition at line 57 of file devicedriver.h.

## ◆ WorkerCaps

using zyppng::worker::WorkerCaps = zyppng::WorkerCaps

Definition at line 29 of file provideworker.h.

## ◆ Message

using zyppng::worker::Message = zyppng::ProvideMessage

Definition at line 30 of file provideworker.h.

## ◆ Configuration

using zyppng::worker::Configuration = zyppng::ProviderConfiguration

Definition at line 31 of file provideworker.h.

## Function Documentation

## ◆ ZYPP_FWD_DECL_TYPE_WITH_REFS() [1/3]

zyppng::worker::ZYPP_FWD_DECL_TYPE_WITH_REFS | ( | DeviceDriver |  | ) |

## ◆ ZYPP_FWD_DECL_TYPE_WITH_REFS() [2/3]

zyppng::worker::ZYPP_FWD_DECL_TYPE_WITH_REFS | ( | ProvideWorker |  | ) |

## ◆ ZYPP_FWD_DECL_TYPE_WITH_REFS() [3/3]

zyppng::worker::ZYPP_FWD_DECL_TYPE_WITH_REFS | ( | ProvideWorkerItem |  | ) |